rte_eth_pfc_queue_info(3)

NAME
rte_eth_pfc_queue_info

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint8_t tc_max
enum rte_eth_fc_mode mode_capa

Detailed Description

Warning
    EXPERIMENTAL: this API may change, or be removed, without prior notice

A structure used to retrieve information of queue based PFC.

Definition at line 1434 of file rte_ethdev.h.

Field Documentation

  uint8_t tc_max
Maximum supported traffic class as per PFC (802.1Qbb) specification.

Definition at line 1438 of file rte_ethdev.h.

  enum rte_eth_fc_mode mode_capa
PFC queue mode capabilities.

Definition at line 1440 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.